comparison configure @ 58820:209a5436a8b4

* configure.in: If $HAVE_GTK_FILE_CHOOSER = yes, check for pthreads and define HAVE_GTK_AND_PTHREAD. * configure: Regenerate.
author Jan Djärv <jan.h.d@swipnet.se>
date Tue, 07 Dec 2004 08:29:07 +0000
parents 0d9f8735eca6
children 1fbbe0bcfaac f2ebccfa87d4
comparison
equal deleted inserted replaced
58819:856c9ea2409a 58820:209a5436a8b4
10124 10124
10125 cat >>confdefs.h <<\_ACEOF 10125 cat >>confdefs.h <<\_ACEOF
10126 #define HAVE_GTK_FILE_BOTH 1 10126 #define HAVE_GTK_FILE_BOTH 1
10127 _ACEOF 10127 _ACEOF
10128 10128
10129 fi
10130
10131 if test "$HAVE_GTK_FILE_CHOOSER" = yes; then
10132 HAVE_GTK_AND_PTHREAD=no
10133
10134 for ac_header in pthread.h
10135 do
10136 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10137 if eval "test \"\${$as_ac_Header+set}\" = set"; then
10138 echo "$as_me:$LINENO: checking for $ac_header" >&5
10139 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10140 if eval "test \"\${$as_ac_Header+set}\" = set"; then
10141 echo $ECHO_N "(cached) $ECHO_C" >&6
10142 fi
10143 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10144 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10145 else
10146 # Is the header compilable?
10147 echo "$as_me:$LINENO: checking $ac_header usability" >&5
10148 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10149 cat >conftest.$ac_ext <<_ACEOF
10150 /* confdefs.h. */
10151 _ACEOF
10152 cat confdefs.h >>conftest.$ac_ext
10153 cat >>conftest.$ac_ext <<_ACEOF
10154 /* end confdefs.h. */
10155 $ac_includes_default
10156 #include <$ac_header>
10157 _ACEOF
10158 rm -f conftest.$ac_objext
10159 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10160 (eval $ac_compile) 2>conftest.er1
10161 ac_status=$?
10162 grep -v '^ *+' conftest.er1 >conftest.err
10163 rm -f conftest.er1
10164 cat conftest.err >&5
10165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10166 (exit $ac_status); } &&
10167 { ac_try='test -z "$ac_c_werror_flag"
10168 || test ! -s conftest.err'
10169 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10170 (eval $ac_try) 2>&5
10171 ac_status=$?
10172 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10173 (exit $ac_status); }; } &&
10174 { ac_try='test -s conftest.$ac_objext'
10175 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10176 (eval $ac_try) 2>&5
10177 ac_status=$?
10178 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10179 (exit $ac_status); }; }; then
10180 ac_header_compiler=yes
10181 else
10182 echo "$as_me: failed program was:" >&5
10183 sed 's/^/| /' conftest.$ac_ext >&5
10184
10185 ac_header_compiler=no
10186 fi
10187 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10188 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10189 echo "${ECHO_T}$ac_header_compiler" >&6
10190
10191 # Is the header present?
10192 echo "$as_me:$LINENO: checking $ac_header presence" >&5
10193 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10194 cat >conftest.$ac_ext <<_ACEOF
10195 /* confdefs.h. */
10196 _ACEOF
10197 cat confdefs.h >>conftest.$ac_ext
10198 cat >>conftest.$ac_ext <<_ACEOF
10199 /* end confdefs.h. */
10200 #include <$ac_header>
10201 _ACEOF
10202 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10203 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10204 ac_status=$?
10205 grep -v '^ *+' conftest.er1 >conftest.err
10206 rm -f conftest.er1
10207 cat conftest.err >&5
10208 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10209 (exit $ac_status); } >/dev/null; then
10210 if test -s conftest.err; then
10211 ac_cpp_err=$ac_c_preproc_warn_flag
10212 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
10213 else
10214 ac_cpp_err=
10215 fi
10216 else
10217 ac_cpp_err=yes
10218 fi
10219 if test -z "$ac_cpp_err"; then
10220 ac_header_preproc=yes
10221 else
10222 echo "$as_me: failed program was:" >&5
10223 sed 's/^/| /' conftest.$ac_ext >&5
10224
10225 ac_header_preproc=no
10226 fi
10227 rm -f conftest.err conftest.$ac_ext
10228 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10229 echo "${ECHO_T}$ac_header_preproc" >&6
10230
10231 # So? What about this header?
10232 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
10233 yes:no: )
10234 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10235 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10236 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10237 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10238 ac_header_preproc=yes
10239 ;;
10240 no:yes:* )
10241 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10242 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10243 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10244 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10245 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10246 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10247 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10248 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10249 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10250 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10251 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10252 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10253 (
10254 cat <<\_ASBOX
10255 ## ------------------------------------------ ##
10256 ## Report this to the AC_PACKAGE_NAME lists. ##
10257 ## ------------------------------------------ ##
10258 _ASBOX
10259 ) |
10260 sed "s/^/$as_me: WARNING: /" >&2
10261 ;;
10262 esac
10263 echo "$as_me:$LINENO: checking for $ac_header" >&5
10264 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10265 if eval "test \"\${$as_ac_Header+set}\" = set"; then
10266 echo $ECHO_N "(cached) $ECHO_C" >&6
10267 else
10268 eval "$as_ac_Header=\$ac_header_preproc"
10269 fi
10270 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10271 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10272
10273 fi
10274 if test `eval echo '${'$as_ac_Header'}'` = yes; then
10275 cat >>confdefs.h <<_ACEOF
10276 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10277 _ACEOF
10278
10279 fi
10280
10281 done
10282
10283 if test "$ac_cv_header_pthread_h"; then
10284 echo "$as_me:$LINENO: checking for pthread_self in -lpthread" >&5
10285 echo $ECHO_N "checking for pthread_self in -lpthread... $ECHO_C" >&6
10286 if test "${ac_cv_lib_pthread_pthread_self+set}" = set; then
10287 echo $ECHO_N "(cached) $ECHO_C" >&6
10288 else
10289 ac_check_lib_save_LIBS=$LIBS
10290 LIBS="-lpthread $LIBS"
10291 cat >conftest.$ac_ext <<_ACEOF
10292 /* confdefs.h. */
10293 _ACEOF
10294 cat confdefs.h >>conftest.$ac_ext
10295 cat >>conftest.$ac_ext <<_ACEOF
10296 /* end confdefs.h. */
10297
10298 /* Override any gcc2 internal prototype to avoid an error. */
10299 #ifdef __cplusplus
10300 extern "C"
10301 #endif
10302 /* We use char because int might match the return type of a gcc2
10303 builtin and then its argument prototype would still apply. */
10304 char pthread_self ();
10305 int
10306 main ()
10307 {
10308 pthread_self ();
10309 ;
10310 return 0;
10311 }
10312 _ACEOF
10313 rm -f conftest.$ac_objext conftest$ac_exeext
10314 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10315 (eval $ac_link) 2>conftest.er1
10316 ac_status=$?
10317 grep -v '^ *+' conftest.er1 >conftest.err
10318 rm -f conftest.er1
10319 cat conftest.err >&5
10320 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10321 (exit $ac_status); } &&
10322 { ac_try='test -z "$ac_c_werror_flag"
10323 || test ! -s conftest.err'
10324 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10325 (eval $ac_try) 2>&5
10326 ac_status=$?
10327 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10328 (exit $ac_status); }; } &&
10329 { ac_try='test -s conftest$ac_exeext'
10330 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10331 (eval $ac_try) 2>&5
10332 ac_status=$?
10333 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10334 (exit $ac_status); }; }; then
10335 ac_cv_lib_pthread_pthread_self=yes
10336 else
10337 echo "$as_me: failed program was:" >&5
10338 sed 's/^/| /' conftest.$ac_ext >&5
10339
10340 ac_cv_lib_pthread_pthread_self=no
10341 fi
10342 rm -f conftest.err conftest.$ac_objext \
10343 conftest$ac_exeext conftest.$ac_ext
10344 LIBS=$ac_check_lib_save_LIBS
10345 fi
10346 echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_self" >&5
10347 echo "${ECHO_T}$ac_cv_lib_pthread_pthread_self" >&6
10348 if test $ac_cv_lib_pthread_pthread_self = yes; then
10349 HAVE_GTK_AND_PTHREAD=yes
10350 fi
10351
10352 fi
10353 if test "$HAVE_GTK_AND_PTHREAD" = yes; then
10354 GTK_LIBS="$GTK_LIBS -lpthread"
10355
10356 cat >>confdefs.h <<\_ACEOF
10357 #define HAVE_GTK_AND_PTHREAD 1
10358 _ACEOF
10359
10360 fi
10129 fi 10361 fi
10130 fi 10362 fi
10131 10363
10132 if test x"${USE_X_TOOLKIT}" = xmaybe; then 10364 if test x"${USE_X_TOOLKIT}" = xmaybe; then
10133 if test x"${HAVE_X11R5}" = xyes; then 10365 if test x"${HAVE_X11R5}" = xyes; then